Bug 1985308 - Creating a configmap for a CA without a trailing newline in source file results in non-working CA verification
Summary: Creating a configmap for a CA without a trailing newline in source file resul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6.z
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: 4.8.z
Assignee: Surya Seetharaman
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1961811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-23 11:01 UTC by OpenShift BugZilla Robot
Modified: 2021-09-21 08:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-21 08:02:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1162 0 None open [release-4.8] Bug 1985308: Add a newline between user CAs and system CAs 2021-07-30 09:03:52 UTC
Red Hat Product Errata RHBA-2021:3511 0 None None None 2021-09-21 08:02:01 UTC

Comment 1 Surya Seetharaman 2021-08-09 07:08:32 UTC
The cherry-pick did not get picked up. So this will take more time.

Comment 4 zhaozhanqi 2021-09-14 06:17:21 UTC
Verified this bug on 4.8.0-0.nightly-2021-09-13-115830 1. Tested with the following file 

$cat ca.crt 
-----BEGIN CERTIFICATE-----
xxxxxxx
-----END CERTIFICATE-----[zzhao$

2. oc create configmap custom-ca49 --from-file=ca-bundle.crt=/home/zzhao/bug_1961811/ca.crt -n openshift-config

3. oc patch proxy/cluster      --type=merge      --patch='{"spec":{"trustedCA":{"name":"custom-ca49"}}}'

4. oc get cm -n openshift-config-managed trusted-ca-bundle -o yaml > trusted-ca

5. $ cat trusted-ca | grep yo= -A 3
    Mn9OTfIwCuXDuvQwp5s7vZ56mpqJYKJ9lyo=
    -----END CERTIFICATE-----
    # ACCVRAIZ1
    -----BEGIN CERTIFICATE-----

Comment 6 errata-xmlrpc 2021-09-21 08:02:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3511


Note You need to log in before you can comment on or make changes to this bug.